pbori_routines_hash.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <boost/functional/hash.hpp>`

Go to the source code of this file.

## Namespaces

| polybori

## Constant Groups

| polybori

## Functions

template<class HashType , class NaviType >
void | polybori::stable_hash_range (HashType &seed, NaviType navi)
template<class NaviType >
std::size_t | polybori::stable_hash_range (NaviType navi)
template<class HashType >
void | polybori::finalize_term_hash (HashType &seed)
template<class HashType , class NaviType >
void | polybori::stable_first_hash_range (HashType &seed, NaviType navi)
template<class NaviType >
std::size_t | polybori::stable_first_hash_range (NaviType navi)
template<class HashType , class Iterator >
void | polybori::stable_term_hash (HashType &seed, Iterator start, Iterator finish)
template<class Iterator >
std::size_t | polybori::stable_term_hash (Iterator start, Iterator finish)

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-08-23

This file includes files, which defines miscellaneous function templates.

Copyright:
  (c) 2006 by The PolyBoRi Team